<?

/*
-----------------------------------------
автор mir007
сайт потдержки http://steili.ru
скрипт платный
-------------------------------------------
*/

//-----Создаем титл страницы-----//
$title = 'Анкета';
//-----Подключаем функции-----//
require_once ('../../system/function.php');
//-----Подключаем вверх-----//
require_once ('../../system/header.php');
//-----Если гость,то...----//
if(!$user['id']) {
header('Location: /index.php');
exit();
}

 switch ($_GET['act'])
{
default:
 $id = abs(intval($_GET['id']));
$status = mysql_fetch_assoc(mysql_query("SELECT * FROM `status_komm` WHERE `id_status` = '".$id."'"));
$st = mysql_fetch_assoc(mysql_query("SELECT * FROM `status` WHERE `id` = '".$id."'"));
if($id == 0) {
echo '<div class="title">Коментарии</div><div class="podmenu"><center><b>Такого статуса не существует!</b></center></div>';
require_once ('../../system/footer.php');
exit();
}
if(!isset($st['id'])) {
echo '<div class="title">Коментарии</div><div class="podmenu"><center><b>Такого статуса не существует!</b></center></div>';
require_once ('../../system/footer.php');
exit();
}
echo '<div class="podmenu"><form action="" method="POST">
*Сообщение:<br /><textarea name="msg"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

 if(isset($_REQUEST['ok']))
{
 

 
 $msg =htmlspecialchars($_POST['msg']);





mysql_query("INSERT INTO `status_komm` (`id_user`, `msg`, `time`,`id_status`) values ('".$user['id']."', '$msg',   '".time()."',  '$id')");
if($user['id'] != $status['id_user'])
{
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$status[id_user]."', `kto` = '".$user[id]."', `text` = 'Прокоментировал вашь  [url=".$HOME."/user/status/komm.php?id=".$id."]стутус[/url]'");
}
header('Location: komm.php?id='.$id.'');
exit();
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `status_komm` WHERE `id_status` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$q = mysql_query("SELECT * FROM `status_komm` WHERE `id_status`='$id.' ORDER BY `time`  DESC LIMIT $start, $max");


while ($m=mysql_fetch_assoc($q)){


 
echo '<br />  '.nick($m['id_user']).' '.vremja($m['time']).'  <br />';
echo "<div class='st_1'></div>";
echo "<div class='st_2'>";


echo '  '.$m['msg'].' <br />';
if($user['level'] >= 1 or $user['id'] == $m['id_user'])
{
echo '[<a href="'.$HOME.'/user/status/komm.php?act=delmsg&id='.$m['id'].'">уд</a>]</div>';


}



}





 if($k_post < 1)
{
echo '<div class="podmenu"><center><b>Нет комментариев</b></center></div>';
}
if($q == 0) {
echo '<div class="title"></div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if ($k_page > 1) {
echo str(''.$HOME.'/user/status/komm.php?id='.$id.'&',$k_page,$page); // Вывод страниц
}
break;

case 'delmsg':
$id = abs(intval($_GET['id']));
$k = mysql_fetch_assoc(mysql_query("SELECT * FROM `status_komm` WHERE `id` = '".$id."'"));
if(isset($k['id']))
{
if($user['level'] > 1 or $user['id'] == $k['id_user'])
{
mysql_query("DELETE FROM `status_komm` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/user/status/komm.php?id='.$k['id_status'].'');
exit();
}else{
header('Location: '.$HOME.'/user/status/komm.php?id='.$k['id_status'].'');
}
}else{

echo '<div class="podmenu"><center><b>Такого  статуса не существует!</b></center></div>';
}
break;
}
//-----Подключаем низ-----//
require_once ('../../system/footer.php');

?>